Added test for table.
authorArjen Baart <arjen@andromeda.nl>
Sun, 18 Aug 2019 19:32:39 +0000 (21:32 +0200)
committerArjen Baart <arjen@andromeda.nl>
Sun, 18 Aug 2019 19:32:39 +0000 (21:32 +0200)
ChangeLog
doc/Makefile.am
doc/Makefile.in
test/Makefile.am
test/Makefile.in
test/table [new file with mode: 0755]
test/table.html.exp [new file with mode: 0644]
test/table.tex.exp [new file with mode: 0644]
test/table.xml [new file with mode: 0644]

index 442f046..d2281c8 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,8 +1,9 @@
-Version 0.9 - Aug 17, 2019
+Version 0.9 - Aug 18, 2019
 ===========================================================
 
 o Fixed LaTeX special characters
 o Added test for lists
+o Added test for table
 
 Version 0.8 - Jul 26, 2019
 ===========================================================
index fa38dee..a4e8038 100644 (file)
@@ -42,5 +42,5 @@ validate:
 #      xmllint --noout --valid $(XMLS)
 
 clean-local:
-       rm -f guide.xhtml guide.html guide.ps guide.tex guide.dvi guide.log guide,aux guide.toc guide.txt guide.pdf
+       rm -f guide.xhtml guide.html guide.ps guide.tex guide.dvi guide.log guide.aux guide.toc guide.txt guide.pdf
        rm -f $(IMAGES) $(PICTURES)
index 14e30ef..c5d0670 100644 (file)
@@ -432,7 +432,7 @@ validate:
 #      xmllint --noout --valid $(XMLS)
 
 clean-local:
-       rm -f guide.xhtml guide.html guide.ps guide.tex guide.dvi guide.log guide,aux guide.toc guide.txt guide.pdf
+       rm -f guide.xhtml guide.html guide.ps guide.tex guide.dvi guide.log guide.aux guide.toc guide.txt guide.pdf
        rm -f $(IMAGES) $(PICTURES)
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
index c3de07b..9205b18 100644 (file)
@@ -1,4 +1,4 @@
-TESTS = basic title titlepage sections toc paragraph lists specialchars
+TESTS = basic title titlepage sections toc paragraph lists table specialchars
 
 clean-local:
        rm -f *.html *.tex *.aux *.dvi *.pdf
index 3949a09..6621e31 100644 (file)
@@ -408,7 +408,7 @@ target_alias = @target_alias@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-TESTS = basic title titlepage sections toc paragraph lists specialchars
+TESTS = basic title titlepage sections toc paragraph lists table specialchars
 all: all-am
 
 .SUFFIXES:
@@ -639,6 +639,13 @@ lists.log: lists
        --log-file $$b.log --trs-file $$b.trs \
        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
        "$$tst" $(AM_TESTS_FD_REDIRECT)
+table.log: table
+       @p='table'; \
+       b='table'; \
+       $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
+       --log-file $$b.log --trs-file $$b.trs \
+       $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
+       "$$tst" $(AM_TESTS_FD_REDIRECT)
 specialchars.log: specialchars
        @p='specialchars'; \
        b='specialchars'; \
diff --git a/test/table b/test/table
new file mode 100755 (executable)
index 0000000..ed00a29
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+./check table
+
+exit $?
diff --git a/test/table.html.exp b/test/table.html.exp
new file mode 100644 (file)
index 0000000..fede1f0
--- /dev/null
@@ -0,0 +1,117 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 plus MathML 2.0 plus SVG 1.1//EN" "http://www.w3.org/2002/04/xhtml-math-svg/xhtml-math-svg.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+  <head>
+    <meta charset="utf-8"/>
+    <link rel="stylesheet" type="text/css" href="main.css"/>
+    <title>xmldoc table check</title>
+    <style type="text/css">
+      .center
+      {
+         text-align : center ;
+      }
+      table.docinfo
+      {
+         margin-left  : 10% ;
+         margin-right : 10% ;
+         border-style : solid ;
+      }
+      th
+      {
+         border-style : solid ;
+         border-width : thin ;
+      }
+      h3.toc
+      {
+         margin-left : 2em ;
+      }
+      pre.example
+      {
+         border : solid ;
+         padding-bottom : 1em ;
+      }
+      span.red
+      {
+         color : red ;
+      }
+      span.green
+      {
+         color : green ;
+      }
+      span.blue
+      {
+         color : blue ;
+      }
+      span.cyan
+      {
+         color : cyan ;
+      }
+      span.magenta
+      {
+         color : magenta ;
+      }
+      span.yellow
+      {
+         color : yellow ;
+      }
+      span.orange
+      {
+         color : orange ;
+      }
+      span.violet
+      {
+         color : violet ;
+      }
+      span.purple
+      {
+         color : purple ;
+      }
+      span.brown
+      {
+         color : brown ;
+      }
+      span.pink
+      {
+         color : pink ;
+      }
+      span.olive
+      {
+         color : olive ;
+      }
+      span.black
+      {
+         color : black ;
+      }
+      span.darkgray
+      {
+         color : darkgray ;
+      }
+      span.gray
+      {
+         color : gray ;
+      }
+      span.lightgray
+      {
+         color : lightgray ;
+      }
+      span.white
+      {
+         color : white ;
+      }
+   </style>
+  </head>
+  <body>
+
+   <div class="titlepage">
+      <h1 class="titlepage">xmldoc table check</h1>
+   </div>
+
+   <h1>1  <a id="CH1"/>A table example</h1><table>
+        <tr><th>Drink   </th><th>Price</th></tr>
+        <tr><td>Beer      </td><td> 1.80</td></tr>
+        <tr><td>Wiskey    </td><td> 3.50</td></tr>
+        <tr><td>Wine      </td><td> 2.20</td></tr>
+      </table>
+
+   <hr/></body>
+</html>
diff --git a/test/table.tex.exp b/test/table.tex.exp
new file mode 100644 (file)
index 0000000..7f8e328
--- /dev/null
@@ -0,0 +1,50 @@
+
+\documentclass[a4paper]{book}
+\usepackage{xcolor}
+\usepackage{graphics}
+\usepackage{latexsym}
+\usepackage{marvosym}
+\begin{document}
+   
+
+   
+   \begin{titlepage}
+   
+      
+   \begin{center}
+   \sffamily\bfseries\LARGE{xmldoc table check}
+   \end{center}
+
+   
+   \end{titlepage}
+
+
+   
+   \chapter{A table example}
+
+\begin{tabular}{lrc}
+
+        
+\begin{bfseries}Drink   \end{bfseries}&
+
+\begin{bfseries}Price\end{bfseries}&
+\\
+
+        Beer      &
+ 1.80&
+\\
+
+        Wiskey    &
+ 3.50&
+\\
+
+        Wine      &
+ 2.20&
+\\
+
+      
+\end{tabular}
+
+
+   
+\end{document}
diff --git a/test/table.xml b/test/table.xml
new file mode 100644 (file)
index 0000000..d35db2e
--- /dev/null
@@ -0,0 +1,23 @@
+<?xml version="1.0"?>
+
+<doc style="main.css">
+
+   <book>
+
+   <titlepage>
+      <title>xmldoc table check</title>
+   </titlepage>
+
+   <chapter>
+      <heading>A table example</heading>
+      <table cpos='lr'>
+        <thead><col>Drink   </col><col>Price</col></thead>
+        <row><col>Beer      </col><col> 1.80</col></row>
+        <row><col>Wiskey    </col><col> 3.50</col></row>
+        <row><col>Wine      </col><col> 2.20</col></row>
+      </table>
+   </chapter>
+
+   </book>
+
+</doc>